Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 2565

Summary: passwd/pam authentication not working
Product: [Retired] Red Hat Linux Reporter: Ion Badulescu <ionut>
Component: pppAssignee: Michael K. Johnson <johnsonm>
Status: CLOSED NEXTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 5.2   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-09-19 23:31:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Ion Badulescu 1999-05-05 10:40:41 UTC
Keyword "login" is supposed to enable passwd authentication
(and, by looking at the code, pam authentication as well).
However, it can't work unless the user has already been
authenticated against pap-secrets, which of course defeats
the whole purpose.

While we're on the subject, it's also worth mentioning that
pam code is not called at all unless "login" is used.
Arguably at least the pam session management should be done
regardless of the type of authentication used.

BTW, the first part applies to the pppd in RH 6.0 as well.

Comment 1 Michael K. Johnson 1999-08-28 19:31:59 UTC
This might be fixed by the version of ppp in RawHide, want to check?
If so, get ppp-2.3.9-1; you should be able to install it on a
Red Hat Linux 6.0 system without problems.

Comment 2 Michael K. Johnson 1999-09-19 23:31:59 UTC
I'll assume that the new pppd fixes; if not, pleast reopen.